List all tools

Returns all tools in the tool registry.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

skipintegerOptional
The number of results to skip for pagination.
limitintegerOptional
The maximum number of results to return.
typestringOptional
The type of tool to search for.
namestringOptional
Resource name.
referenceIdsstringOptional
Comma separated referenceIds of tools.
descriptionstringOptional
A keyword to match against tool descriptions.
activebooleanOptional
Whether to only return active tools.
parentIdsstringOptional
Comma separated list of parentIds to filter tools by.
parentTypesstringOptional
Comma separated list of parentTypes to filter tools by.
parentTitlesstringOptional
Comma separated list of parentTitles to filter tools by.
excludeToolChildrenbooleanOptional

If true, exclude tools that are children of other tools (i.e. only return top-level tools).

sortenumOptionalDefaults to name
Determines which field to sort by. Defaults to name
Allowed values:
orderenumOptionalDefaults to asc
Determines whether to sort by ascending or descending alphanumeric order. Defaults to ascending.
Allowed values:

Response

Contains the list of tools

Errors

500
Internal Server Error